Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.validation
Class ValidationNotification

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.validation.ValidationNotification

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notification

    public class ValidationNotification

extends Object
implements org.eclipse.emf.common.notify.Notification

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.emf.common.notify.Notification
`ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

Constructor Summary
`ValidationNotification(org.eclipse.emf.ecore.EObject toValidate)` Creates a `ValidationNotification` which is used to trigger a validation of a specific EObject.

Method Summary
`int` | `getEventType()`
`Object` | `getFeature()`
`int` | `getFeatureID(Class<?> expectedClass)`
`boolean` | `getNewBooleanValue()`
`byte` | `getNewByteValue()`
`char` | `getNewCharValue()`
`double` | `getNewDoubleValue()`
`float` | `getNewFloatValue()`
`int` | `getNewIntValue()`
`long` | `getNewLongValue()`
`short` | `getNewShortValue()`
`String` | `getNewStringValue()`
`Object` | `getNewValue()`
`Object` | `getNotifier()`
`boolean` | `getOldBooleanValue()`
`byte` | `getOldByteValue()`
`char` | `getOldCharValue()`
`double` | `getOldDoubleValue()`
`float` | `getOldFloatValue()`
`int` | `getOldIntValue()`
`long` | `getOldLongValue()`
`short` | `getOldShortValue()`
`String` | `getOldStringValue()`
`Object` | `getOldValue()`
`int` | `getPosition()`
`boolean` | `isReset()`
`boolean` | `isTouch()`
`boolean` | `merge(org.eclipse.emf.common.notify.Notification notification)`
`boolean` | `wasSet()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationNotification

    public ValidationNotification(org.eclipse.emf.ecore.EObject toValidate)

  Creates a `ValidationNotification` which is used to trigger a validation of a specific EObject.

  Parameters:
    `toValidate` - the `EObject` to validate

Method Detail

### getNotifier

    public Object getNotifier()

  Specified by:
    `getNotifier` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNotifier()`

### getEventType

    public int getEventType()

  Specified by:
    `getEventType` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getEventType()`

### getFeatureID

    public int getFeatureID(Class<?> expectedClass)

  Specified by:
    `getFeatureID` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getFeatureID(java.lang.Class)`

### getFeature

    public Object getFeature()

  Specified by:
    `getFeature` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getFeature()`

### getOldValue

    public Object getOldValue()

  Specified by:
    `getOldValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getOldValue()`

### getNewValue

    public Object getNewValue()

  Specified by:
    `getNewValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNewValue()`

### wasSet

    public boolean wasSet()

  Specified by:
    `wasSet` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.wasSet()`

### isTouch

    public boolean isTouch()

  Specified by:
    `isTouch` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.isTouch()`

### isReset

    public boolean isReset()

  Specified by:
    `isReset` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.isReset()`

### getPosition

    public int getPosition()

  Specified by:
    `getPosition` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getPosition()`

### merge

    public boolean merge(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `merge` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.merge(org.eclipse.emf.common.notify.Notification)`

### getOldBooleanValue

    public boolean getOldBooleanValue()

  Specified by:
    `getOldBooleanValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getOldBooleanValue()`

### getNewBooleanValue

    public boolean getNewBooleanValue()

  Specified by:
    `getNewBooleanValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNewBooleanValue()`

### getOldByteValue

    public byte getOldByteValue()

  Specified by:
    `getOldByteValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getOldByteValue()`

### getNewByteValue

    public byte getNewByteValue()

  Specified by:
    `getNewByteValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNewByteValue()`

### getOldCharValue

    public char getOldCharValue()

  Specified by:
    `getOldCharValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getOldCharValue()`

### getNewCharValue

    public char getNewCharValue()

  Specified by:
    `getNewCharValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNewCharValue()`

### getOldDoubleValue

    public double getOldDoubleValue()

  Specified by:
    `getOldDoubleValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getOldDoubleValue()`

### getNewDoubleValue

    public double getNewDoubleValue()

  Specified by:
    `getNewDoubleValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNewDoubleValue()`

### getOldFloatValue

    public float getOldFloatValue()

  Specified by:
    `getOldFloatValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getOldFloatValue()`

### getNewFloatValue

    public float getNewFloatValue()

  Specified by:
    `getNewFloatValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNewFloatValue()`

### getOldIntValue

    public int getOldIntValue()

  Specified by:
    `getOldIntValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getOldIntValue()`

### getNewIntValue

    public int getNewIntValue()

  Specified by:
    `getNewIntValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNewIntValue()`

### getOldLongValue

    public long getOldLongValue()

  Specified by:
    `getOldLongValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getOldLongValue()`

### getNewLongValue

    public long getNewLongValue()

  Specified by:
    `getNewLongValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNewLongValue()`

### getOldShortValue

    public short getOldShortValue()

  Specified by:
    `getOldShortValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getOldShortValue()`

### getNewShortValue

    public short getNewShortValue()

  Specified by:
    `getNewShortValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNewShortValue()`

### getOldStringValue

    public String getOldStringValue()

  Specified by:
    `getOldStringValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getOldStringValue()`

### getNewStringValue

    public String getNewStringValue()

  Specified by:
    `getNewStringValue` in interface `org.eclipse.emf.common.notify.Notification`
  See Also:
    `Notification.getNewStringValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.